opencv: cv::GoodFeaturesToTrackDetector Class Reference

Classes | Public Member Functions | Protected Member Functions | Protected Attributes

# cv::GoodFeaturesToTrackDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::GoodFeaturesToTrackDetector:

List of all members.

## Classes
class | Params
## Public Member Functions
| GoodFeaturesToTrackDetector (const GoodFeaturesToTrackDetector::Params &params=GoodFeaturesToTrackDetector::Params())
| GoodFeaturesToTrackDetector (int maxCorners, double qualityLevel, double minDistance, int blockSize=3, bool useHarrisDetector=false, double k=0.04)
virtual void | read (const FileNode &fn)
virtual void | write (FileStorage &fs) const
## Protected Member Functions
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
## Protected Attributes
Params | params

## Constructor & Destructor Documentation

cv::GoodFeaturesToTrackDetector::GoodFeaturesToTrackDetector | ( | const GoodFeaturesToTrackDetector::Params & | params = `GoodFeaturesToTrackDetector::Params()` ) |

cv::GoodFeaturesToTrackDetector::GoodFeaturesToTrackDetector | ( | int | maxCorners,
|  | double | qualityLevel,
|  | double | minDistance,
|  | int | blockSize = `3`,
|  | bool | useHarrisDetector = `false`,
|  | double | k = `0.04`
| ) |  |

## Member Function Documentation

virtual void cv::GoodFeaturesToTrackDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const`[protected, virtual]`

Implements cv::FeatureDetector.

virtual void cv::GoodFeaturesToTrackDetector::read | ( | const FileNode & | fn ) | `[virtual]`

Reimplemented from cv::FeatureDetector.

virtual void cv::GoodFeaturesToTrackDetector::write | ( | FileStorage & | fs ) | const`[virtual]`

Reimplemented from cv::FeatureDetector.

## Member Data Documentation

Params cv::GoodFeaturesToTrackDetector::params`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines